using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using Syncfusion.Windows.Forms.Tools;
using System.Windows.Forms;
namespace CustomCaption
{
    public class CustomCaptionPainter:CaptionPainter 
    {
        public CustomCaptionPainter(DockHostController dcb)
            : base(dcb)
        {

        }

        #region CUSTOM_PAINTING_OVERRIDES
        public override CaptionPainter.CaptionHitTest HitTest(MouseAction action, Point pt)
        {


            MouseEventArgs me = new MouseEventArgs(MouseButtons.Left, 2, pt.X, pt.Y, 2);
            CustomDockingManager cdm = (CustomDockingManager)this.dhcOwner.DockingManager;
            cdm.OnMouseEvent(me);
            return base.HitTest(action, pt);
        }

        


        public override void PaintCaption(Graphics gph, Pen pen)
        {
            base.PaintCaption(gph, pen);
            PaintEventArgs pea = new PaintEventArgs(gph, Rectangle.Empty);
            CustomDockingManager cdm = (CustomDockingManager)this.dhcOwner.DockingManager;
            cdm.OnCaptionPaint(pea);
           
            //gph.DrawString("HI", new Font("Times new roman", 10), Brushes.Red, 10, 10);
        }

        #endregion CUSTOM_PAINTING_OVERRIDES
    }
}
